/*-
 * ============LICENSE_START=======================================================
 * ONAP : APPC
 * ================================================================================
 * Copyright (C) 2017 AT&T Intellectual Property. All rights reserved.
 * ================================================================================
 * Copyright (C) 2017 Amdocs
 * =============================================================================
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 * 
 *      http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 * 
 * ECOMP is a trademark and service mark of AT&T Intellectual Property.
 * ============LICENSE_END=========================================================
 */

package org.onap.appc.adapter.iaas.provider.operation.common.constants;

/**
 * @since September 26, 2016
 */
public class Constants {

    private Constants() {
    }

    public static final String DATE_FORMAT = "yyyy-MM-dd HH:mm:ss";

    public static final String MDC_SERVICE = "service";
    public static final String MDC_ADAPTER = "adapter";

    /**
     * The constant for a left parenthesis
     */
    public static final char LPAREN = '(';

    /**
     * The constant for a new line control code
     */
    public static final char NL = '\n';

    /**
     * The constant for a single quote
     */
    public static final char QUOTE = '\'';

    /**
     * The constant for a right parenthesis
     */
    public static final char RPAREN = ')';

    /**
     * The constant for a space
     */
    public static final char SPACE = ' ';
}
